## r-bioc-biomformat 1.2.0

=== DESCRIPTION ===
Package: biomformat
Version: 1.2.0
Date: 2016-04-16
Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
License: GPL-2
Title: An interface package for the BIOM file format
Type: Package
Author: Paul J. McMurdie <mcmurdie@stanford.edu> and Joseph N Paulson <jpaulson@jimmy.harvard.edu>
BugReports: https://github.com/joey711/biomformat/issues
URL: https://github.com/joey711/biomformat/, http://biom-format.org/
Description: This is an R package for interfacing with the BIOM format. This package includes basic tools for reading biom-format files, accessing and
                 subsetting data tables from a biom object (which is more complex than a single table), as well as limited support for writing a biom-object
                 back to a biom-format file. The design of this API is intended to match the python API and other tools included with the biom-format
                 project, but with a decidedly "R flavor" that should be familiar to R users. This includes S4 classes and methods, as well as extensions of
                 common core functions/methods.
Imports: plyr (>= 1.8), jsonlite (>= 0.9.16), Matrix (>= 1.2), rhdf5
Depends: R (>= 3.2), methods
Suggests: testthat (>= 0.10), knitr (>= 1.10), BiocStyle (>= 1.6),
        rmarkdown (>= 0.7)
VignetteBuilder: knitr
Collate: 'allClasses.R' 'allPackage.R' 'IO-methods.R' 'BIOM-class.R'
        'validity-methods.R'
biocViews: DataImport, Metagenomics, Microbiome
NeedsCompilation: no
Packaged: 2016-10-18 00:07:59 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2016 09:51:06 +0100

r-bioc-biomformat (1.0.2-1) unstable; urgency=low

  * Initial release (closes: #835579)

 -- Andreas Tille <tille@debian.org>  Sat, 27 Aug 2016 11:21:59 +0200

=== debian/control ===
Source: r-bioc-biomformat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev,
               r-cran-plyr,
               r-cran-jsonlite,
               r-cran-matrix,
               r-cran-hdf5
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-biomformat/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-biomformat/trunk/
Homepage: https://bioconductor.org/packages/biomformat/

Package: r-bioc-biomformat
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface package for the BIOM file format
 This is an R package for interfacing with the BIOM format. This package
 includes basic tools for reading biom-format files, accessing and
 subsetting data tables from a biom object (which is more complex than a
 single table), as well as limited support for writing a biom-object back
 to a biom-format file. The design of this API is intended to match the
 Python API and other tools included with the biom-format project, but
 with a decidedly "R flavor" that should be familiar to R users. This
 includes S4 classes and methods, as well as extensions of common core
 functions/methods.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/biomformat.html .*/biomformat_([\d\.]+)\.tar\.gz

## r-bioc-biomformat 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.2.0
+Version: 1.6.0
 Date: 2016-04-16
 Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
 License: GPL-2
@@ -22,4 +22,4 @@
         'validity-methods.R'
 biocViews: DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
-Packaged: 2016-10-18 00:07:59 UTC; biocbuild
+Packaged: 2017-10-31 00:35:43 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Fri, 10 Nov 2017 08:51:18 +0100

r-bioc-biomformat (1.4.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Sat, 30 Sep 2017 10:39:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
                r-cran-plyr,
                r-cran-jsonlite,
                r-cran-matrix,
                r-cran-hdf5
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-biomformat/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-biomformat/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biomformat.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-biomformat.git
 Homepage: https://bioconductor.org/packages/biomformat/
 
 Package: r-bioc-biomformat

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/biomformat.html .*/biomformat_([\d\.]+)\.tar\.gz

## r-bioc-biomformat 1.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.6.0
+Version: 1.8.0
 Date: 2016-04-16
 Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
 License: GPL-2
@@ -22,4 +22,4 @@
         'validity-methods.R'
 biocViews: DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
-Packaged: 2017-10-31 00:35:43 UTC; biocbuild
+Packaged: 2018-05-01 00:40:12 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.8.0+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * dh-update-R to update Build-Depends
  * Remove html file containing compressed jquery

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 11:20:47 +0200

r-bioc-biomformat (1.8.0-2) unstable; urgency=medium

  * Point Vcs-fields to Salsa

 -- Andreas Tille <tille@debian.org>  Sat, 05 May 2018 22:22:36 +0200

r-bioc-biomformat (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 04 May 2018 10:51:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-bioc-biomformat
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
-               r-cran-plyr,
+               r-cran-plyr (>= 1.8),
                r-cran-jsonlite,
-               r-cran-matrix,
-               r-cran-hdf5
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biomformat.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-biomformat.git
+               r-cran-matrix (>= 1.2),
+               libgdal-dev
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat.git
 Homepage: https://bioconductor.org/packages/biomformat/
 
 Package: r-bioc-biomformat

## r-bioc-biomformat 1.10.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.8.0
+Version: 1.10.1
 Date: 2016-04-16
 Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
 License: GPL-2
@@ -20,6 +20,11 @@
 VignetteBuilder: knitr
 Collate: 'allClasses.R' 'allPackage.R' 'IO-methods.R' 'BIOM-class.R'
         'validity-methods.R'
-biocViews: DataImport, Metagenomics, Microbiome
+biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
-Packaged: 2018-05-01 00:40:12 UTC; biocbuild
+git_url: https://git.bioconductor.org/packages/biomformat
+git_branch: RELEASE_3_8
+git_last_commit: e67c6f4
+git_last_commit_date: 2019-01-04
+Date/Publication: 2019-01-04
+Packaged: 2019-01-05 01:56:21 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.10.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.3.0

 -- Dylan Aïssi <daissi@debian.org>  Mon, 07 Jan 2019 07:35:58 +0100

r-bioc-biomformat (1.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 15 Nov 2018 22:33:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
                r-base-dev,
                r-cran-plyr (>= 1.8),
                r-cran-jsonlite,
-               r-cran-matrix (>= 1.2),
-               libgdal-dev
-Standards-Version: 4.1.4
+               r-cran-matrix (>= 1.2)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat.git
 Homepage: https://bioconductor.org/packages/biomformat/

=== debian/watch ===
version=4

opts="downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/biomformat.html .*/biomformat_([\d\.]+)\.tar\.gz

## r-bioc-biomformat 1.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.10.1
+Version: 1.12.0
 Date: 2016-04-16
 Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
 License: GPL-2
@@ -23,8 +23,8 @@
 biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
 git_url: https://git.bioconductor.org/packages/biomformat
-git_branch: RELEASE_3_8
-git_last_commit: e67c6f4
-git_last_commit_date: 2019-01-04
-Date/Publication: 2019-01-04
-Packaged: 2019-01-05 01:56:21 UTC; biocbuild
+git_branch: RELEASE_3_9
+git_last_commit: 6e94612
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
+Packaged: 2019-05-03 01:44:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2019 12:59:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-plyr (>= 1.8),
+               r-cran-plyr,
                r-cran-jsonlite,
-               r-cran-matrix (>= 1.2)
+               r-cran-matrix (>= 1.2),
+               r-bioc-rhdf5
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat.git

## r-bioc-biomformat 1.14.0%2Bdfsg

=== debian/changelog ===
r-bioc-biomformat (1.14.0+dfsg-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

  [ Andreas Tille ]
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Nov 2019 11:37:09 +0100

## r-bioc-biomformat 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.12.0
+Version: 1.14.0
 Date: 2016-04-16
 Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
 License: GPL-2
@@ -23,8 +23,8 @@
 biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
 git_url: https://git.bioconductor.org/packages/biomformat
-git_branch: RELEASE_3_9
-git_last_commit: 6e94612
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
-Packaged: 2019-05-03 01:44:38 UTC; biocbuild
+git_branch: RELEASE_3_10
+git_last_commit: f20af45
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
+Packaged: 2019-10-30 01:42:28 UTC; biocbuild

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-plyr,
                r-cran-jsonlite,
                r-cran-matrix (>= 1.2),
                r-bioc-rhdf5
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat.git
 Homepage: https://bioconductor.org/packages/biomformat/

## r-bioc-biomformat 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.14.0
+Version: 1.16.0
 Date: 2016-04-16
 Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
 License: GPL-2
@@ -23,8 +23,8 @@
 biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
 git_url: https://git.bioconductor.org/packages/biomformat
-git_branch: RELEASE_3_10
-git_last_commit: f20af45
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
-Packaged: 2019-10-30 01:42:28 UTC; biocbuild
+git_branch: RELEASE_3_11
+git_last_commit: d2596cd
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
+Packaged: 2020-04-28 02:05:40 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.16.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:14:20 +0000

r-bioc-biomformat (1.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 21:12:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
                r-cran-jsonlite,
                r-cran-matrix (>= 1.2),
                r-bioc-rhdf5
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat.git
 Homepage: https://bioconductor.org/packages/biomformat/
+Rules-Requires-Root: no
 
 Package: r-bioc-biomformat
 Architecture: all

## r-bioc-biomformat 1.18.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-plyr,

## r-bioc-biomformat 1.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.16.0
+Version: 1.18.0
 Date: 2016-04-16
 Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
 License: GPL-2
@@ -23,8 +23,8 @@
 biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
 git_url: https://git.bioconductor.org/packages/biomformat
-git_branch: RELEASE_3_11
-git_last_commit: d2596cd
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
-Packaged: 2020-04-28 02:05:40 UTC; biocbuild
+git_branch: RELEASE_3_12
+git_last_commit: dc18859
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
+Packaged: 2020-10-27 22:44:42 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.18.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Don't enable autopkgtests-pkg-r, they lack an important dependency.
  * Standards-Version: 4.5.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 19 Nov 2020 12:45:00 +0100

r-bioc-biomformat (1.18.0+dfsg-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Nov 2020 13:09:58 +0100

## r-bioc-biomformat 1.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.18.0
+Version: 1.22.0
 Date: 2016-04-16
 Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
 License: GPL-2
@@ -23,8 +23,8 @@
 biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
 git_url: https://git.bioconductor.org/packages/biomformat
-git_branch: RELEASE_3_12
-git_last_commit: dc18859
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
-Packaged: 2020-10-27 22:44:42 UTC; biocbuild
+git_branch: RELEASE_3_14
+git_last_commit: ab7c641
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
+Packaged: 2021-10-26 20:55:49 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 08:08:45 +0100

r-bioc-biomformat (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Ignore one failing test.  To keep on with the BioConductor transition
    the failure is ignored for the moment but needs to be investigated

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 15:12:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-plyr,
                r-cran-jsonlite,
-               r-cran-matrix (>= 1.2),
+               r-cran-matrix,
                r-bioc-rhdf5
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat.git
 Homepage: https://bioconductor.org/packages/biomformat/

## r-bioc-biomformat 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.22.0
+Version: 1.24.0
 Date: 2016-04-16
 Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
 License: GPL-2
@@ -23,8 +23,8 @@
 biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
 git_url: https://git.bioconductor.org/packages/biomformat
-git_branch: RELEASE_3_14
-git_last_commit: ab7c641
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 20:55:49 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: 4e14692
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 20:06:24 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 May 2022 08:51:26 +0200

## r-bioc-biomformat 1.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.24.0
+Version: 1.26.0
 Date: 2016-04-16
 Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
 License: GPL-2
@@ -23,8 +23,8 @@
 biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
 git_url: https://git.bioconductor.org/packages/biomformat
-git_branch: RELEASE_3_15
-git_last_commit: 4e14692
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 20:06:24 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: f851ba2
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 20:57:25 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.26.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 07:10:30 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-jsonlite,
                r-cran-matrix,
                r-bioc-rhdf5
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat.git
 Homepage: https://bioconductor.org/packages/biomformat/

## r-bioc-biomformat 1.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.26.0
+Version: 1.28.0
 Date: 2016-04-16
 Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
 License: GPL-2
@@ -23,8 +23,8 @@
 biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
 git_url: https://git.bioconductor.org/packages/biomformat
-git_branch: RELEASE_3_16
-git_last_commit: f851ba2
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 20:57:25 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 9240e78
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 20:21:33 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.28.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * Reduce piuparts noise in transitions
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jul 2023 17:00:39 +0200

## r-bioc-biomformat 1.30.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: biomformat
-Version: 1.28.0
-Date: 2016-04-16
-Maintainer: Paul J. McMurdie <mcmurdie@stanford.edu>
+Version: 1.30.0
+Date: 2023-08-01
+Maintainer: Paul J. McMurdie <mcmurdie@alumni.stanford.edu>
 License: GPL-2
 Title: An interface package for the BIOM file format
 Type: Package
-Author: Paul J. McMurdie <mcmurdie@stanford.edu> and Joseph N Paulson <jpaulson@jimmy.harvard.edu>
+Author: Paul J. McMurdie <mcmurdie@alumni.stanford.edu> and Joseph N Paulson <jpaulson@jimmy.harvard.edu>
 BugReports: https://github.com/joey711/biomformat/issues
 URL: https://github.com/joey711/biomformat/, http://biom-format.org/
 Description: This is an R package for interfacing with the BIOM format. This package includes basic tools for reading biom-format files, accessing and
@@ -23,8 +23,8 @@
 biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
 git_url: https://git.bioconductor.org/packages/biomformat
-git_branch: RELEASE_3_17
-git_last_commit: 9240e78
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
-Packaged: 2023-04-25 20:21:33 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 40f51ec
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 20:27:53 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.30.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 10:37:57 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-jsonlite,
                r-cran-matrix,
                r-bioc-rhdf5
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat.git
 Homepage: https://bioconductor.org/packages/biomformat/

## r-bioc-biomformat 1.32.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.30.0
+Version: 1.32.0
 Date: 2023-08-01
 Maintainer: Paul J. McMurdie <mcmurdie@alumni.stanford.edu>
 License: GPL-2
@@ -23,8 +23,9 @@
 biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
 git_url: https://git.bioconductor.org/packages/biomformat
-git_branch: RELEASE_3_18
-git_last_commit: 40f51ec
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 20:27:53 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: 9df803b
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 02:47:32 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.32.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 19:14:56 +0200

r-bioc-biomformat (1.32.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 14:46:33 +0200

r-bioc-biomformat (1.32.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 14:32:10 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-plyr,
                r-cran-jsonlite,
                r-cran-matrix,
-               r-bioc-rhdf5
+               r-bioc-rhdf5 (>= 2.48.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat.git
@@ -20,9 +20,11 @@
 Package: r-bioc-biomformat
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-rhdf5 (>= 2.48.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1)
 Description: GNU R interface package for the BIOM file format
  This is an R package for interfacing with the BIOM format. This package
  includes basic tools for reading biom-format files, accessing and

## r-bioc-biomformat 1.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomformat
-Version: 1.32.0
+Version: 1.34.0
 Date: 2023-08-01
 Maintainer: Paul J. McMurdie <mcmurdie@alumni.stanford.edu>
 License: GPL-2
@@ -23,9 +23,9 @@
 biocViews: ImmunoOncology, DataImport, Metagenomics, Microbiome
 NeedsCompilation: no
 git_url: https://git.bioconductor.org/packages/biomformat
-git_branch: RELEASE_3_19
-git_last_commit: 9df803b
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 02:47:32 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: dd89a53
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-29 23:44:10 UTC; biocbuild

=== debian/changelog ===
r-bioc-biomformat (1.34.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 11:25:03 +0100

r-bioc-biomformat (1.34.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 17:38:02 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
                r-base-dev,
                r-cran-plyr,
                r-cran-jsonlite,
-               r-cran-matrix,
-               r-bioc-rhdf5 (>= 2.48.0)
-Standards-Version: 4.6.2
+               r-cran-matrix
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomformat.git
 Homepage: https://bioconductor.org/packages/biomformat/
@@ -20,11 +19,9 @@
 Package: r-bioc-biomformat
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-bioc-rhdf5 (>= 2.48.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: GNU R interface package for the BIOM file format
  This is an R package for interfacing with the BIOM format. This package
  includes basic tools for reading biom-format files, accessing and

=== debian/watch ===
version=4

opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/biomformat.html .*/biomformat_([\d\.]+)\.tar\.gz
